# Created by pyp2rpm-3.3.2
%global pypi_name toml

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.10.2
Release:        %mkrel 4
Summary:        Python Library for Tom's Obvious, Minimal Language
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/toml/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
A Python library for parsing and creating TOML.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python library for parsing and creating TOML.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove bogus file
rm -rf toml/common.py

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.10.2-4.mga9
+ Revision: 1822109
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 wally <wally> 0.10.2-3.mga9
+ Revision: 1771790
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 0.10.2-2.mga9
+ Revision: 1702567
- rebuild for python 3.9
- disable check for pytest bootstrap

* Sun Dec 13 2020 guillomovitch <guillomovitch> 0.10.2-1.mga8
+ Revision: 1656376
- new version 0.10.2

* Tue May 19 2020 wally <wally> 0.10.1-1.mga8
+ Revision: 1586237
- new version 0.10.1

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-4.mga8
+ Revision: 1530980
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 0.10.0-3.mga8
+ Revision: 1438166
- rebuild for python3.8

* Sat Aug 31 2019 wally <wally> 0.10.0-2.mga8
+ Revision: 1435916
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.10.0-1.mga7
+ Revision: 1393925
- imported package python-toml

